INTERFACE
SUBROUTINE SWAD&
 & ( KIDIA , KFDIA , KLON , KLEV , KAER,&
 & PSCT5 , PCARDI5, PPSOL5 , PALBD5, PALBP5 , PWV5, PQS5,&
 & PRMU05, PCG5 , PCLDSW5, POMEGA5, POZ5, PPMB5,&
 & PTAU5 , PTAVE5 , PAER5,&
 & PFACT5 , PFDOWN5, PFUP5,&
 & PSCT , PCARDI , PPSOL , PALBD , PALBP , PWV , PQS,&
 & PRMU0 , PCG , PCLDSW , POMEGA , POZ , PPMB,&
 & PTAU , PTAVE , PAER,&
 & PFDOWN , PFUP&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KAER
REAL(KIND=JPRB) ,INTENT(IN) :: PSCT5
REAL(KIND=JPRB) ,INTENT(IN) :: PCARDI5
REAL(KIND=JPRB) ,INTENT(IN) :: PPSOL5(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP5(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMU05(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCG5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDSW5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POMEGA5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POZ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAU5(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER5(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFACT5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFDOWN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFUP5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSCT
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCARDI
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPSOL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRMU0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCG(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLDSW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POMEGA(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POZ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAU(KLON,NSW,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFDOWN(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFUP(KLON,KLEV+1)
END SUBROUTINE SWAD
END INTERFACE
